:root{
  --COLOR1: #112D4E;
  --COLOR2: #3F72AF;
  --COLOR3: #DBE2EF;
  --FS-Title: clamp(2rem, 6vw, 3.5rem);
}

*{
  box-sizing: border-box;
}
  
html{
  scroll-behavior: smooth;
}
  
body{
  font-family: 'Roboto', sans-serif;
}

header {
  padding-top: 0.1px;
}

.nav {
  display: grid;
  grid-template-columns: auto auto auto;
  list-style: none;
  padding: 0;
  background-color: red;
  position: fixed;
  width: 100%;
  background-color: var(--COLOR1);
  border-bottom: 3px solid var(--COLOR1);
  border-top: 3px solid var(--COLOR1);
  margin: 0;
  z-index: 20;
}

.nav__a {
  border-right: 2px solid #fff;
  text-align: center;
  line-height: 3rem;
  text-decoration: none;
  font-weight: bold;
  color: #fff;
}

.nav__a--last {
  border: none;
}

.portada{
  height: 95vh;
  margin-top: 3em;
  text-align: center;
  background-image: url(/images/portada.webp);
  background-size: cover;
  background-position: center center;
  padding-top: 20vh;
}
  
.portada__title{
  color: #FFF;
  text-shadow: 2px 2px 2px var(--COLOR1), -2px -2px 2px var(--COLOR1), -2px 2px 2px var(--COLOR1), 2px -2px 2px var(--COLOR1);
  font-size: var(--FS-Title);
  text-align: center;
  margin-top: 60px;
  padding-top: 60px;
}

h3 {
  text-align: center;
  color: var(--COLOR1);
  font-weight: bold;
  font-size: 2rem;
  padding-top: 50px;
}

p {
  margin-right: auto;
  margin-left: auto;
  padding-left: 8px;
  padding-right: 8px;
  max-width: 1000px;
}

table {
  width: 18em;
  margin: 40px auto 60px;
}

.direccion {
  text-decoration: none;
  font-weight: bold;
  color: red;
}

.title {
  padding-top: 100px;
  padding-bottom: 100px;
  margin-bottom: 60px;
  text-align: center;
  color: #FFF;
  text-shadow: 2px 2px 2px var(--COLOR1), -2px -2px 2px var(--COLOR1), -2px 2px 2px var(--COLOR1), 2px -2px 2px var(--COLOR1);
  background-image: url(/images/portada.jpg);
  background-size: cover;
  background-position: center;
  font-size: var(--FS-Title);
}

.iconos {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-evenly;
  margin: 40px auto;
}

.iconos__icono {
  display: flex;
  flex-direction: column;
  text-decoration: none;
  color: var(--COLOR1);
  margin-top: 20px;
  min-width: 100px;
}

.caja {
  text-align: center;
  background-color: var(--COLOR1);
  border-radius: 20%;
  width: 6vw;
  min-width: 50px;
  max-width: 70px;
  margin-left: auto;
  margin-right: auto;
}

.imagen {
  height: 5vw;
  min-height: 40px;
  max-height: 60px;
}

.iconos__texto {
  font-size: 12px;
  margin: 3px 0;
  text-align: center;
}

h3 {
  text-align: center;
  margin-top: 80px;
}

iframe {
  width: 95%;
  max-width: 1000px;
  height: 50vh;
}

.centrar {
  text-align: center;
}

.margen {
  margin-bottom: 60px;
}



/* Slider */

.slider {
  width: 90%;
  margin: 60px auto 0;
  max-width: 600px;
  position: relative;
  padding: 0;
}

.visible {
  width: 100%;
  border-radius: 5%;
  margin: 0;
}

.invisible {
  position: absolute;
  left: -10000px;
}

.boton {
  cursor: pointer;
  height: 60%;
  border-radius: 20%;
  position: absolute;
  top: 20%;
  background-color: #80808080;
  width: 30px;
  border: 2px solid var(--COLOR1);
}

.siguiente {
  right: 10px;
}

.anterior { 
  left: 10px;
}

.footer {
  background-color: var(--COLOR1);
  margin-bottom: 0;
  padding-bottom: 80px;
}

.footer__title {
  color: #FFF;
  padding-top: 80px;
  margin-top: 120px;
}

.footer__text {
  color: #FFF;
}



/* Hover */

@media(hover:hover){

  .nav__a:hover {
    background-color: var(--COLOR2);
  }

  .direccion:hover {
    color: var(--COLOR2);
  }

  .boton:hover {
    background-color: #40404040;
  }

  .caja:hover {
    background-color: var(--COLOR2);
  }
}



@media (min-width: 800px){
  p {
    text-align: center;
  }

  .nc {
    text-align: left;
  }
}